org.apache.tinkerpop.gremlin.structure

## Class PropertyTest.ElementGetValueExceptionConsistencyTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.PropertyTest.ElementGetValueExceptionConsistencyTest

- Enclosing class:
    PropertyTest

      public static class PropertyTest.ElementGetValueExceptionConsistencyTest
      extends AbstractGremlinTest

  Test exceptions around use of `Element.value(String)`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementGetValueExceptionConsistencyTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldGetValueThatIsNotPresentOnEdge()`
    `void` | `shouldGetValueThatIsNotPresentOnVertex()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementGetValueExceptionConsistencyTest

          public ElementGetValueExceptionConsistencyTest()

  - ### Method Detail

    - #### shouldGetValueThatIsNotPresentOnVertex

          public void shouldGetValueThatIsNotPresentOnVertex()

    - #### shouldGetValueThatIsNotPresentOnEdge

          public void shouldGetValueThatIsNotPresentOnEdge()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.